List Campaign Recipients
Returns a paginated list of campaign Recipients.
Authorization
bearerAuth In: header
Path Parameters
Unique identifier of the related campaign.
uuidQuery Parameters
Unique identifier for the resource.
uuidFilters by any of the supplied id values.
items <= 10Filters resources by contact.
uuidFilters by any of the supplied contact values.
items <= 10Filters resources by channel.
uuidFilters by any of the supplied channel values.
items <= 10Filters resources by channel type.
Filters by any of the supplied channel type values.
Current status of the resource.
Filters by any of the supplied status values.
Only returns resources whose send after is at or after this timestamp (inclusive). See Filtering for timestamp precision.
date-timeOnly returns resources whose send after is at or before this timestamp (inclusive). See Filtering for timestamp precision.
date-timeMaximum number of resources to return.
100 <= value <= 100Opaque token returned by a previous page request.
1 <= lengthAdditional fields to include in the response. Use repeated query syntax: include=foo&include=bar.
Response Body
application/json
curl -X GET "https://api.getmateo.com/v1/campaigns/497f6eca-6276-4993-bfeb-53cbbbba6f08/recipients"{ "object": "list", "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "campaign_id": "78614b6c-fe7c-41e2-8e25-c9b3a3c91904", "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598", "status": "sent", "error_code": "string", "channel_id": "bbe8aa76-a4bb-46f6-a785-df8e831cc459", "channel_type": "email", "send_after": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "contact": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "display_name": "string", "full_name": "string", "salutation": "string", "birthday": "2019-08-24", "description": "string", "external_id": "string", "secondary_external_id": "string", "address_line1": "string", "address_line2": "string", "city": "string", "zipcode": "string", "country": "string", "is_blocked": true, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }, "channel": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "inbox_id": "5127f22b-d152-46dd-aeaa-3a852d9fbfc2", "name": "string", "handle": "string", "type": "email", "status": "active", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } } ], "next_page_url": "string", "previous_page_url": "string"}